### A free/open-source library for quantitative finance

Classes
ql/experimental/exoticoptions/simplechooseroption.hpp File Reference

Simple chooser option on a single asset. More...

`#include <ql/instruments/oneassetoption.hpp>`
Include dependency graph for simplechooseroption.hpp:

## Classes

class | SimpleChooserOption
| Simple chooser option. More...
class | SimpleChooserOption::arguments
| Extra arguments for single chooser option. More...
class | SimpleChooserOption::engine
| Simple chooser option engine base class. More...

## Detailed Description

Simple chooser option on a single asset.